# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Encode.pm) perl(Exporter.pm) perl(Exporter/Lite.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Path.pm) perl(FileHandle.pm) perl(Filter/Util/Call.pm) perl(HTML/Parser.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(MIME/Base64.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(PerlIO.pm) perl(Socket.pm) perl(Test/Deep.pm) perl(Text/Diff.pm) perl(Unicode/EastAsianWidth.pm) perl(YAML.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(overload.pm) perl(threads/shared.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name HTML-Trim
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: HTML trimmer
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SA/SATOH/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
HTML::Trim is for trimming text by the number of character length or visual width (consider full-width characters)..
=over

=item `HTML::Trim::trim($html, $length, $terminal)'

Trim `$html' by character `$length'. When result is clipped, add `$terminal' to result HTML.

=item `HTML::Trim::vtrim($html, $width, $terminal)'

Trim `$html' by character `$width' (half-width = 1). When result is clipped, add `$terminal' to result HTML.

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/H*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

